Subject: DLS

From: [email-masked]
Date: Fri, 30 Apr 93 20:07:14 EDT

Flow Control - Dave Kushi and I did some work on DLS Flow control
last year. The idea was to pace across the WAN and RNR on a station
basis if we didn't get a response back within a given window. We
were attempting to slow the LAN stations down before congesting
the WAN. Pacing was bi-directional and the responding 'circuit' would
not send a response right away, but attempt to piggy back on a real
message or wait for a given number of received messages before responding
back. We had wanted to adjust the window size based on message
queue depth. We tested what we had, but it was not completed and
is ifdef'd out. But, it may be a starting point.

PU2.1 - The problem here is SDLC mapping to Token Ring. I'm not sure but
believe the XIDS are different and if passed through would be CV22'd. I
forgot which bits are different, but think it is in the dlc dependent area.
But, if APPN is in the same box, do you really need DLS support? Let the
PU2.1 be controlled directly by APPN rather than DLS. Also an SDLC
device, mapped to a token ring mac/sap can't handle being a member of a
connection network.

Ethernet support - DLS will have Ethernet support and will be able to go
between Token Ring and Ethernet. Since Ethernet will go through a
transparent bridge, almost all is well. A problem is connection networks
and the format of the MAC/SAP address's in the TG tail vectors. These
aren't translated in the transparent bridge. Keith Meyer has some ideas
on this such as converting the ethernet tail vectors to token ring style
at the Ethernet server.

DLS over SNA - How about a format for putting NetBios over SNA? We have
LAN to LAN over WAN which puts NetBios over APPC. What about DLS putting
NetBios over APPC/APPN?

Another thought is SNALINK - putting IP type protocols over SNA. IBM has
SNALINK for NCP, how about for routers?

APPN and DLS - BIG subject. How do they relate? Should APPN be a
directory service for DLS? Is APPN over TCP/IP needed? Or should
APPN use the same format as DLS - it does both on the 6611.
Where does HPR fit in? Can APPN return a 'router' address as part of
the tail vectors which could shorten the DLS search time. Is there
anyway APPN could assist with NetBios?

Flat MAC/SAP address space restriction should be eliminated.

As a general comment, a lot of things DLS should do are already done
by APPN, such as COS, route calculation, pacing, directory service, etc.
It seems so logical they should merge, but I damned if I can figure out
how. But, I think we will all be damned if they go their own separate
ways and we will wind up maintaining two beasts.

Dennis Wind